summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Felix Krueger <flex[dot]krueger[at]googlemail[dot]com>2010-12-30 22:13:10 -0600
committer Robby Workman <rworkman@slackbuilds.org>2010-12-30 22:13:10 -0600
commit2ce282b33969ef647caff290273bb75b3befc37a (patch)
treedc60073a66da680b592f4553a9fc8e480ab225f1 /audio
parent46485ed77aeea1ff5343e95396df241da6ab508e (diff)
downloadslackbuilds-2ce282b33969ef647caff290273bb75b3befc37a.tar.gz
slackbuilds-2ce282b33969ef647caff290273bb75b3befc37a.tar.xz
audio/mhwaveedit: Added (edit, play, and record sound files)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/mhwaveedit/README12
-rw-r--r--audio/mhwaveedit/doinst.sh10
-rw-r--r--audio/mhwaveedit/mhwaveedit.SlackBuild87
-rw-r--r--audio/mhwaveedit/mhwaveedit.desktop9
-rw-r--r--audio/mhwaveedit/mhwaveedit.info10
-rw-r--r--audio/mhwaveedit/mhwaveedit.pngbin0 -> 1181 bytes
-rw-r--r--audio/mhwaveedit/slack-desc19
7 files changed, 147 insertions, 0 deletions
diff --git a/audio/mhwaveedit/README b/audio/mhwaveedit/README
new file mode 100644
index 0000000000..965ba15d03
--- /dev/null
+++ b/audio/mhwaveedit/README
@@ -0,0 +1,12 @@
+mhWaveEdit is a graphical program for editing, playing, and recording
+sound files. It is lightweight, portable, user-friendly, and handles
+large files very well.
+
+The program itself has only simple editing features such as cut'n'paste
+and volume adjustment, but it can also use Ladspa effect plugins and
+the effects provided by the SoX application. It can also support
+additional file formats besides wav through libsndfile and mp3/ogg
+import and export through lame and oggenc/oggdec.
+
+The program will use libsndfile, lame, jack, pulseaudio, and portaudio
+if they are installed, but they are not mandatory.
diff --git a/audio/mhwaveedit/doinst.sh b/audio/mhwaveedit/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/audio/mhwaveedit/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/audio/mhwaveedit/mhwaveedit.SlackBuild b/audio/mhwaveedit/mhwaveedit.SlackBuild
new file mode 100644
index 0000000000..6291781eaf
--- /dev/null
+++ b/audio/mhwaveedit/mhwaveedit.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for mhwaveedit
+# Written by Felix Krueger
+# contact: flex[dot]krueger[at]googlemail[dot]com
+
+PRGNAM=mhwaveedit
+VERSION=1.4.20
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --mandir=/usr/man \
+ --with-double-samples \
+ --without-arts \
+ --without-esound \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/icons/hicolor/48x48/apps
+cat $CWD/$PRGNAM.png > $PKG/usr/share/icons/hicolor/48x48/apps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/mhwaveedit/mhwaveedit.desktop b/audio/mhwaveedit/mhwaveedit.desktop
new file mode 100644
index 0000000000..989f882b7d
--- /dev/null
+++ b/audio/mhwaveedit/mhwaveedit.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Version=1.0
+Name=mhWaveEdit
+Comment=Record, play, and edit audio files in wav, ogg, and mp3
+Icon=mhwaveedit
+Exec=mhwaveedit --driver alsa
+Terminal=false
+Type=Application
+Categories=AudioVideo;
diff --git a/audio/mhwaveedit/mhwaveedit.info b/audio/mhwaveedit/mhwaveedit.info
new file mode 100644
index 0000000000..5ecac5ae4c
--- /dev/null
+++ b/audio/mhwaveedit/mhwaveedit.info
@@ -0,0 +1,10 @@
+PRGNAM="mhwaveedit"
+VERSION="1.4.20"
+HOMEPAGE="https://gna.org/projects/mhwaveedit"
+DOWNLOAD="http://download.gna.org/mhwaveedit/mhwaveedit-1.4.20.tar.bz2"
+MD5SUM="979ac5776a57268aed0afa74d50c70a2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Felix Krueger"
+EMAIL="flex[dot]krueger[at]googlemail[dot]com"
+APPROVED="rworkman"
diff --git a/audio/mhwaveedit/mhwaveedit.png b/audio/mhwaveedit/mhwaveedit.png
new file mode 100644
index 0000000000..2211afd5b7
--- /dev/null
+++ b/audio/mhwaveedit/mhwaveedit.png
Binary files differ
diff --git a/audio/mhwaveedit/slack-desc b/audio/mhwaveedit/slack-desc
new file mode 100644
index 0000000000..80c8cd7df7
--- /dev/null
+++ b/audio/mhwaveedit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+mhwaveedit: mhwaveedit (edit, play, and record sound files)
+mhwaveedit:
+mhwaveedit: mhWaveEdit is a graphical program for editing, playing and
+mhwaveedit: recording sound files. It is lightweight, portable, user-friendly
+mhwaveedit: and handles large files very well.
+mhwaveedit:
+mhwaveedit: Homepage: https://gna.org/projects/mhwaveedit
+mhwaveedit:
+mhwaveedit:
+mhwaveedit:
+mhwaveedit: